Ayuda SAP

Complemento de Facturacion CFDI 3.3 facturacion Me

hola, alguien ha configurado algun complemento de facturacion 3.3 en SAP o que tenga experiencia sobre esto, actualmente estoy trabajando con el complemento de comercio exterior, note un tema pero no me ayudo de mucho, mi tema va con que ya cree los campso de usuario y ligue a el SPP mediante el EFM de igual forma modifique el Imput Message y sigo teniendo el problema que no me esta tomando los campos de usuario, a alguien le ha pasado algo similar o alguien que si lo ha trabajo sabe que es lo que pasa?

Buenos días

Comento lo poco que recuerdo.
Genera tu fuente de datos desde Herramientas -->Herramientas Personalización–>Generar fuente de datos EFM XML, lo guardas donde desees, despues en tu EFM cargas el.xml que guardaste, haces tus relaciones o enlaces y la estructura que tenias ya la eliminas, con esto estas cargando tus campos definidos y lo puedes relacionar con los del SAT.
No tengo acceso ahora al EFM si no con mucho gusto anexaría algunas imágenes

1 me gusta

probare, ya lo han trabajado mis companeros (mi formato) y al aprecer tenia algunos errores que no me tomaba los datos de usuarios, pero ahora hay un problema al probarlo en 9.3 cre que solo funciona en 9.2, estaremos revisandolo un poco mas.

1 me gusta

comparto la que seria casi la solucion, ya termine, ahora solo tengo un problema de que la digestion sobre algo de un sello, lo que me da a que mi IM esta incorrecto, tiene campos de mas o campos de menos (tiene campos de mas en la cadena estoy casi 100% seguro)

1 me gusta

Disculpe no se si sea el tema correcto y para no abrir otro decidi preguntar por aqui tengo la siguiente consulta ya lograron cargar los siguientes campos anexo imagen:

estoy teniendo problemas con el spp o cual es la version que ya tiene dichas actualizaciones.

saludos

1 me gusta

yo estoy timbrando sin problemas en 9.2 pl 10 y en 9.3 pl05, que problema tienes amigo?

lo que pasa es que cuando timbro en SAP en el escenario de moneda de pago PPD NO TIMBRA, UNICAMENTE solo timbra cuando es metodo de pago PUE , actualmente me boto el siguiente error anexo imagen

ya que me dice que no tengo ligado los nodos correctos.

actualmente estoy trabajando con SAP 9.2 PL11.

@Daniel_Torrez si te das cuenta en la siguiente imagen que voy a compartir mi SPP NO me identicia los siguientes nodos:

son los que es estan arrastrando es lo que actualmente me esta dando problemas.

alguna solucion amigo al respecto

espero tu ayuda.

Daniel queria ver si me pudieras apoyar con el spp que tienes para timbrar con el complemento de pago.

estoy teniendo problemas con la validacion de PUE y PPD

yo siempre manejo facturas a PPD pero al momento de verlo en el nodo pago10 no me aparece unicamente me aparece PUE y la Facturacion es en PPD

es que yo estoy en 9.3 PL05 y es diferente el SPP pero si gustas asi te lo paso

Hola, buenas noches
Cual es la versión del SPP que tienes?
Actualmente tengo la 9.2 Pl 9 y 9.3 pl 5 y están timbrando sin ningún problema, solo que en el 9.3 como menciona @Daniel_Torrez el SPP es diferente

Tengo 9.2 Pl09 en productivo, y 9.2 en pl011 en pruebas actualmente no he actualizado a la 9.3 pl05, el unico detalle es en su spp ya solucionarion ese problema de PUE Y PPD, de donde arrastra la informacion me refiero al campo MetododepagoDR en el xml y en el efm.

si pueden pasarme su spp para darle una revisada @america y @Daniel_Torrez

saludos

Buenos días
He revisado nuevamente el XML de un pago, esta bien pero tengo el 9.2 PL 9. Si estas en pruebas con el PL 11, porque no intentas con el 9.3, en este, se que se corrigen muchos detalles del complemento de pagos.

9.3 PL05 sin problemas del complemento

lo siento, ya no puedo compartir nada, normals del foro favor de leer las normas o comentar con @SidV alguna otra forma de compartirlos aun que lo mas seguro es que se tengan que compartir en el foro como aporte y pues ya ustedes tendrian que solicitar este material y si son usuarios normales y ya solicitaron algun manual deberan esperar para volver a solicitar o ser mas activos para que se les pueda compartir, Saludos :slight_smile:

Para compartir material deben seguir este debate: ¿Cómo colaborar con material o manuales?

En cuanto a lo que indicas @Daniel_Torrez, no es del todo así, las solicitudes (todas) se analizan puntualmente, si alguien solicita tu material de este tema, y esa persona ha participado de este debate, se le libera la descarga por más que ya tenga entregas de manuales. :+1:

una disculpa por compartir datos personales, ya no vuelve a pasar referente al tema ya se que le pasa, en mi SAP unicamente utilizo numero de parcialidades 1 es por eso que me esta poniendo PUE se decidio cambiar la formula para que utilice el campo de la forma de pago 99 ya que dicha contiene los valores de PPD en la facturacion. y se realizara formula ya que en el spp de complemento que tengo no esta habilitada o esta mal desarrolladora.

Cita
De acuerdo a la configuración de SAP, el Método de Pago esta que el 99 sea PPD todos los demás son PUE

saludos y nuevamente una disculpa.

Buen Dia

al querer hacer dicha conexion no me permitio hacer dicho cambio me genero el siguiente error.

EFM call failed: FD.Runtime.FlowRunTimeException: No se encuentra ningún script u objeto de extensión asociado al espacio de nombres ‘urn:sap-b1-efm-scripts’.

saludos

Bueno como solucion y para cerrar este tema, el tema de los complementos de SAT en 9.3 Pl05 es un problema del Escenario para Integration (Facturacion Nativa) se resolvio con otro Escenario de Integration, posiblemente liberado en 9.3 Pl06 o subido a las notas de SAP.

2 Me gusta

@Daniel_Torrez Se decidio realizar la migracion, conforme la nota de SAP 2271455 se comenta que se soluciono el escenario numero 13 por tal motivo en mi sap como esta en la version 9.2 PL09 aun no cuenta con dicho esenario, por tal motivo se estan realizando cambios de los efm para facturacion

se decidio migrar a la version 9.2 PL11 Que ya cumple con dicho escenario solucionado.

saludos y gracias a todos por sus comentarios.

1 me gusta

te recomiendo migrar a 9.3 ya que a nosotros nos comentaron SAP 9.2 dejo de recibir soporte desde agosto creo, ahora solo, 9.3 si llegaras a tener un problema y lo escalas a SAP te diran que migres a 9.3